.section-container {
    align-items: center;
    width: 100%;
    display: flex;
    flex-direction: column;
}

    .section-container img {
        width: auto;
        margin: 0;
        object-fit: contain;
        display: initial;
    }

#fac-container {
    margin-top: 30px;
    display: none;
}

#loading_layer {
    flex-direction: column;
}

.loading_layer, .filter_overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background: rgba(0, 0, 0, 0.4);
    display: flex;
    align-items: center;
    justify-content: center;
    display: none;
}



    .loading_layer .spinner {
        width: 50px;
        height: 50px;
        border: 5px solid rgba(255,255,255,0.3);
        border-top: 5px solid #ff4d7d;
        border-radius: 50%;
        animation: spin 1s linear infinite;
    }

    .loading_layer .loading_text {
        color: #fff;
        font-size: 1rem;
    }

@keyframes spin {
    to {
        transform: rotate(360deg);
    }
}

.filter_overlay {
    z-index: 1;
    display: flex;
    visibility: hidden;
    transition: visibility 0.2s, opacity 0.2s linear;
    opacity: 0;
}

    .filter_overlay.active-filter {
        visibility: visible;
        opacity: 1;
    }


.section-text {
    color: #000;
    height: auto;
    flex-grow: 1;
    text-align: center;
    font-weight: 400;
    font-stretch: normal;
    text-decoration: none
}

.fac-button {
    background-color: #9D072E;
    color: #ffffff;
    text-align: center;
    border: none;
    border-radius: 6px;
    padding: 6px 20px;
    cursor: pointer;
    font-size: 1rem;
}

.section-header h4 {
    line-height: 1.3rem;
    margin-top: 0;
}

#search_area {
    display: none;
    position: relative;
    width: 100%;
}

.search-area {
    border: 1px solid #cccccc;
    padding: 2px;
    border-radius: 8px;
    display: flex;
    width: 300px;
    justify-content: space-between;
    background-color: #ffffff;
    margin-top: 10px;
}

    .search-area .search-field, .search-area .search-field:focus {
        border: none;
        outline: none;
        width: 100%;
        font-size: 16px;
    }

.search-location {
    display: flex;
    justify-content: space-between;
    color: #2F4554;
    font-size: 1rem;
    margin: 5px;
    align-items: center;
    cursor: pointer;
}

    .search-location img {
        height: 1rem;
        padding: 0 5px;
    }

.section-search-info {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 20px;
    width: 95%;
    font-size: 18px;
    flex-direction: row;
}

    .section-search-info .search-filter, .search-filter-popout .search-filter-apply, .action_close {
        background-color: rgba(47, 69, 84, 1);
        border-radius: 8px;
        padding: 10px 20px;
        font-size: 14px;
        color: #fff;
        display: flex;
        justify-content: space-evenly;
        z-index: 2;
        cursor: pointer;
    }


        .section-search-info .search-filter .filter-text {
            margin: 0 10px;
        }

        .section-search-info .search-filter img {
            width: 14px;
        }

        .section-search-info .search-filter #filter-selected {
            border: 1px solid #fff;
            border-radius: 100%;
            padding: 0 8px;
            visibility: hidden;
            line-height: 1.5rem;
        }

            .section-search-info .search-filter #filter-selected.active-filter {
                visibility: visible;
            }

.search-filter-popout {
    position: absolute;
    top: 11px;
    z-index: 1;
    right: 31px;
    background-color: #fff;
    border-radius: 8px;
    max-height: 0;
    overflow: hidden;
    padding: 0;
    transition: max-height 0.3s ease;
}

    .search-filter-popout.active-filter {
        max-height: 2000px;
    }

    .search-filter-popout .search-filter-popout-container {
        margin: 20px;
    }

    .search-filter-popout .filter-section-header {
        font-weight: bold;
    }

        .search-filter-popout .filter-section-header img {
            transition: transform 0.3s ease;
        }

        .search-filter-popout .filter-section-header > img.active-filter {
            transform: rotate(180deg);
        }

    .search-filter-popout .filter-section {
        margin-bottom: 20px;
    }

    .search-filter-popout .form-control {
        font-size: 1rem;
        display: flex;
        gap: 0.5em;
        margin-top: 0.8rem;
        line-height: 1.2;
        cursor: pointer;
        min-height: 0;
        border: 0;
        padding: 0;
    }

        .search-filter-popout .form-control:has(input:disabled) {
            color: grey;
            opacity: 0.5;
            cursor: not-allowed;
        }

    .search-filter-popout input[type="checkbox"] {
        -webkit-appearance: none;
        appearance: none;
        background-color: var(--form-background);
        margin: 0;
        font: inherit;
        color: currentColor;
        width: 1.2em;
        height: 1.2em;
        border: 1px solid currentColor;
        display: grid;
        place-content: center;
    }

        .search-filter-popout input[type="checkbox"]::before {
            content: "";
            width: 0.8em;
            height: 0.8em;
            margin: 0.2em;
            clip-path: polygon(14% 44%, 0 65%, 50% 100%, 100% 16%, 80% 0%, 43% 62%);
            transform: scale(0);
            transform-origin: bottom left;
            background-color: CanvasText;
            background-color: #9D072E;
        }

        .search-filter-popout input[type="checkbox"]:checked::before {
            transform: scale(1);
        }


        .search-filter-popout input[type="checkbox"]:disabled {
            --form-control-color: var(--form-control-disabled);
            color: var(--form-control-disabled);
            cursor: not-allowed;
        }


    .search-filter-popout .filter-double > .filter-section-items {
        max-height: 0;
        overflow: hidden;
        transition: max-height 0.3s ease;
    }

        .search-filter-popout .filter-double > .filter-section-items.active-filter {
            max-height: 700px;
        }

    .search-filter-popout .search-filter-apply {
        display: block;
        width: 120px;
        text-align: center;
        margin: 0 auto;
    }

.section-ukmap {
    margin: 20px;
}

.section-results {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
}

    .section-results #results_cards {
        display: grid;
        grid-template-columns: repeat(3, minmax(280px, 1fr));
        max-width: 1150px;
        width: 100%;
        gap: 20px;
    }

        .section-results #results_cards.fullWidth {
            display: block;
        }


    .section-results .card a {
        color: #9D072E;
        text-decoration: underline;
        margin: 0 4px;
    }

    .section-results #results_cards.fullWidth .card a {
        margin: 0;
    }

        .section-results .card {
            width: 100%;
            padding: 2px;
            border-radius: 8px;
            box-shadow: 5px 5px 5px 0px #979797;
            background-color: #ffffff;
            display: flex;
            flex-direction: row;
            align-items: flex-start;
            margin-bottom: 0;
            max-height: 100%;
            justify-content: space-evenly;
        }

        .section-results .card .card-left {
            display: flex;
            flex-direction: column;
            align-items: center;
            align-self: stretch;
            margin-bottom: 0;
            max-height: 100%;
            width: 100%;
            position: relative;
        }

    .section-results #results_cards.fullWidth .card .card-left {
        align-items: baseline;
        padding: 10px 30px;
    }

    .section-results .card .card-right {
        width: 100%;
        height: 100vh;
        padding: 30px 40px;
        max-height: 500px;
    }
    .section-results .card .card-right.card-empty {
        height: 0px;
    }


        .section-results .card .card-right .map_area {
            border: 0;
            margin:0;
        }

    .section-results .card:hover {
        cursor: initial;
    }

    .section-results .card .card-left img {
        margin: 0 5px;
    }

    .section-results .card .card-left .card-divider {
        margin: 20px;
        border-bottom: 1px solid rgba(194, 194, 194, 1);
        width: 95%;
    }

    .section-results #results_cards.fullWidth .card .card-left .card-divider {
        display: none;
    }

    .section-results .card:after {
        padding-bottom: 0;
    }

    .section-results .card .card-left .card-title {
        font-weight: 600;
        font-size: 20px;
        width: 100%;
        text-align: center;
        margin: 10px;
        margin-bottom: 0;
        padding: 10px;
        justify-content: space-between;
        display: flex;
        text-align: left;
    }

    .section-results #results_cards.fullWidth .card .card-left .card-title {
        width: 70%;
        padding-left: 0;
    }

    .section-results .card .card-left .card-title .left-side {
        width: 75%;
    }

        .section-results .card .card-left .card-title .left-side img, .section-results .card .card-left .card-title .right-side img {
            margin: 0;
        }

    .section-results .card .card-left .card-title .right-side {
        width: 20%;
    }

    .section-results #results_cards.fullWidth .card .card-left .card-title .right-side {
        position: absolute;
        right: 30px;
    }


    .section-results #results_cards.fullWidth .card .card-left .card-map {
        display: none;
    }

    .section-results #results_cards.fullWidth .card .card-right .card-map {
        justify-content: center;
        margin: 10px 0;
    }

    .section-results .card .card-left .card-map, .section-results .card .card-right .card-map {
        display: flex;
        color: #2F4554;
        font-size: 1rem;
        align-items: center;
        margin-top: 5px;
        font-weight: 400;
    }



    .section-results .card .card-left .card-map span {
        margin: 0 4px;
    }

    .section-results .card .card-left .card-map a, .section-results .card .card-right .card-map {
        color: #9D072E;
        text-decoration: underline;
        margin: 0 4px;
        cursor: pointer;
    }

    .section-results #results_cards.fullWidth .card .card-left .card-certified {
        max-width: 70%;
    }

    .section-results #results_cards.fullWidth .card .card-right .card-map a {
        margin: 0 4px;
    }
    .section-results .card .card-left .card-certified {
        display: flex;
        justify-content: space-between;
        color: #2F4554;
        font-size: 0.9rem;
        line-height: 1.1rem;
        background-color: rgba(0, 178, 13, 0.1);
        border-radius: 15px;
        padding: 5px 10px;
        align-items: center;
    }

    .section-results .card .card-left .card-webshare {
        display: flex;
        justify-content: space-evenly;
        font-size: 1rem;
        margin: 10px 0 0 0;
        width: 90%;
    }

    .section-results #results_cards.fullWidth .card .card-left .card-webshare {
        justify-content: flex-start;
        width: 70%;
        gap: 30px;
        margin-bottom: 20px;
    }

    .section-results .card .card-left .card-link-webshare {
        background: #E2E8E6;
        border-radius: 14px;
        padding: 0px 10px;
        display: flex;
        align-items: center;
        width: auto;
        justify-content: space-around;
        cursor: pointer;
    }


    .section-results .card .card-left .card-links {
        display: flex;
        justify-content: space-evenly;
        font-size: 1rem;
        margin: 0;
        width: 90%;
    }

    .section-results #results_cards.fullWidth .card .card-left .card-links {
        justify-content: flex-start;
        width: 70%;
        gap: 30px;
        margin-top: 20px;
    }

    .section-results .card .card-left .card-links .card-link {
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
        cursor: pointer;
        line-height: 2rem;
    }


    .section-results .card .card-left .card-contact {
        width: 95%;
        text-align: center;
        padding-top: 10px;
    }

    .section-results #results_cards.fullWidth .card .card-left .card-contact {
        text-align: left;
    }

    .section-results .card .card-left .card-contact > a {
        color: #fff;
        background-color: #2F4554;
        text-decoration: none;
        padding: 10px 15px;
        border-radius: 5px;
        font-size: 1rem;
        cursor: pointer;
    }

    .section-results .card .card-left .card-contact > div {
        padding: 20px 5px;
    }

        .section-results .card .card-left .card-contact > div > br {
            display: none;
        }

        .section-results .card .card-left .card-contact > div span {
            display: block;
            font-size: 1rem;
            line-height: 1.5rem;
        }

    .section-results .card .card-left .card-schemes-header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-bottom: 10px;
        width: 95%;
        font-weight: 600;
        font-size: 18px;
    }

    .section-results .card .card-left .card-schemes {
        width: 95%;
    }

    .section-results .card .card-left .card-scheme {
        cursor: pointer;
        border: 1px solid rgba(194, 194, 194, 1);
        border-radius: 8px;
        padding: 5px 30px;
        margin-bottom: 10px;
        font-size: 1rem;
        font-weight: 500;
        position: relative;
    }

        .section-results .card .card-left .card-scheme > img {
            transform: initial;
            transition: transform 0.3s ease;
            position: absolute;
            top: 12px;
            left: 5px;
        }

            .section-results .card .card-left .card-scheme > img.rotate {
                transform: rotate(90deg);
                transition: transform 0.3s ease;
            }

    .section-results #results_cards.fullWidth .card .card-left .card-scheme .scheme-content {
        max-width: initial;
    }

        .section-results .card .card-left .card-scheme .scheme-content {
            max-width: 350px;
            max-height: 0;
            overflow: hidden;
            transition: max-height 0.3s ease;
        }

            .section-results .card .card-left .card-scheme .scheme-content.active-scheme {
                max-height: 15000px;
            }

            .section-results .card .card-left .card-scheme .scheme-content p {
                font-size: 1rem;
                line-height: 1.3rem;
                font-weight: 400;
            }

            .section-results .card .card-left .card-scheme .scheme-content ul {
                list-style: disc;
                list-style-position: outside;
                padding-left: 40px;
            }

            .section-results .card .card-left .card-scheme .scheme-content li {
                font-size: 1rem;
                line-height: 1.3rem;
                padding-left: initial;
                margin-bottom: auto;
                display: list-item;
                list-style-type: disc;
                list-style: disc;
                font-weight: 400;
            }

                .section-results .card .card-left .card-scheme .scheme-content li::marker {
                    content: normal;
                    color: initial;
                    font-size: initial;
                }

            .section-results .card .card-left .card-scheme .scheme-content img {
                width: 30%;
                display: block;
                float: right;
                transform: initial;
            }


.section-results-load-more {
    border-radius: 0;
    padding: 20px 40px;
    width: 180px;
    margin: 0 auto;
    display: none;
    margin-top: 30px;
}

.section-bottom {
    margin: 20px;
    line-height: 1.3rem;
    text-align: left;
    font-size: 1rem;
    display: none;
}

    .section-bottom.center {
        text-align: center;
        line-height: 1.5rem;
        margin-top: 70px;
    }

    .section-bottom span {
        display: block;
        margin: 20px 0;
    }

.mapContainer {
    margin: 20px;
    background-color: rgb(238, 238, 238);
    border-color: rgb(204, 204, 204);
    border-width: 1px;
    border-style: solid;
    height: 90%;
    padding: 20px;
    text-align: right;
}

.map_area {
    margin-top: 20px;
    width: 100%;
    height: 90%;
    border: 2px solid #000;
    text-align: left;
}

.action_popup .actionContainer {
    width: 500px;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    background: #fff;
    padding: 30px;
    border-radius: 10px;
}

    .action_popup .actionContainer > div {
        margin: 10px;
    }

.section-noresults {
    display: none;
    text-align: center;
}

    .section-noresults h3.section-text {
        font-size: 2.5rem;
        font-weight: 600;
    }

    .section-noresults h4.section-text {
        font-weight: 500;
        font-size: 1.3rem;
        margin-bottom: -10px;
    }



@media (max-width: 1250px) {
    .section-results #results_cards {
        grid-template-columns: repeat(2, minmax(280px, 1fr));
    }

    .search-filter-popout {
        right: 0px;
    }

    .section-results .card {
        flex-direction: column;
        justify-content: flex-start;
    }
    .section-results #results_cards.fullWidth .card .card-left .card-links, .section-results #results_cards.fullWidth .card .card-left .card-title, .section-results #results_cards.fullWidth .card .card-left .card-webshare {
        width: 95%;
    }
}

@media (max-width: 767px) {
    .section-results #results_cards {
        grid-template-columns: minmax(280px, 1fr);
    }

    .section-search-info {
        flex-direction: column;
        text-align: center;
        margin: 20px 0;
        width: 100%;
    }

        .section-search-info .search-filter {
            margin-top: 10px;
        }

    .search-filter-popout {
        right: 0px;
        top: 140px;
    }
}
